
typedef unsigned char ipv4address[4];

struct MTPWEB {

  enum addr_type { d_reserved, d_ipv4 } discriminator;

  union {
    struct reserved_address {
      unsigned char res[32];
    } reserved;

    struct ipv4_address {
      ipv4address addr;
      unsigned port;
    } ipv4;

  } d;
};

class MTPDaemon {
  int create_web( MTPWEB web);

  int destroy_web( MTPWEB web);

  int join_web( MTPWEB web,
		USERCHANNEL channel);

  int quit_web( MTPWEB web);

  int send_data( MTPWEB web);
};



struct MTPDREQ {
  MTPWEB web;
  enum req_type{ 
    rt_create, rt_destroy, rt_join, rt_quit, rt_send, rt_recv 
  } type;
  
}












