class EC_DII {
public:
  virtual void send ( const char *operation_name, 
                      ECHelper::SeqAny &params )= 0;

  virtual void send_pull( const char *operation_name, 
                          ECHelper::SeqAny &params) =0;

  virtual CORBA::Boolean send_try_pull( const char *operation_name,
                                        ECHelper::SeqAny &params)= 0;
};

class EC_DII_Factory {
public:
  virtual EC_DII * create_ec_dii( CORBA::Object_ptr obj,
                                  ECHelper::TypedInterface &_ti)= 0;

  virtual void marshal( McastSource &src,
                        ECMcast::Data &data)= 0;

  virtual void unmarshal( McastSink &sink,
                          ECMcast::Data &data)= 0;
};
