class EC_DSI {
public:
  virtual CORBA::Object_ptr get_object()= 0;
};

class EC_Dispatcher {
public:
  virtual CORBA::Boolean ec_dispatch( CORBA::Object_ptr obj, 
                                      CORBA::Boolean wait_for_event, 
                                      const char *operation_name,
                                      ECHelper::SeqAny &params)= 0;

  virtual void ec_dsi_disposed()= 0;
};

class EC_DSI_Factory {
public:
  virtual EC_DSI * create_ec_dsi( ECHelper::TypedInterface &_ti,
                                  int is_pull,
                                  EC_Dispatcher &_ecdisp)= 0;
};
