#include "omniLifeCycle.hh"


static const char* _0RL_library_version = omniORB_2_6;


void _proxy_omniLifeCycleInfo::reportMove ( CORBA::Object_ptr  obj )
{
  CORBA::ULong _0RL_retries = 0;
#ifndef EGCS_WORKAROUND
_0RL_again:
#else
while(1) {
#endif
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),11);
    _0RL_msgsize = CORBA::Object::NP_alignedSize(obj,_0RL_msgsize);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"reportMove",11,_0RL_msgsize,0);
    CORBA::Object::marshalObjRef(obj,_0RL_c);
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_c.RequestCompleted();
        return;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              omniORB::log << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference.\n";
              omniORB::log.flush();
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          omniORB::log << "GIOP::LOCATION_FORWARD: retry request.\n";
          omniORB::log.flush();
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
#ifndef EGCS_WORKAROUND
  goto _0RL_again;
#else
}
#endif
}


void _proxy_omniLifeCycleInfo::reportRemove (  )
{
  CORBA::ULong _0RL_retries = 0;
#ifndef EGCS_WORKAROUND
_0RL_again:
#else
while(1) {
#endif
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),13);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"reportRemove",13,_0RL_msgsize,0);
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_c.RequestCompleted();
        return;
        break;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
        break;
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              omniORB::log << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference.\n";
              omniORB::log.flush();
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          omniORB::log << "GIOP::LOCATION_FORWARD: retry request.\n";
          omniORB::log.flush();
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    throw;
  }
#ifndef EGCS_WORKAROUND
  goto _0RL_again;
#else
}
#endif
}


CORBA::Object_ptr  _proxy_omniLifeCycleInfo::homeObject ()  {
  CORBA::ULong _0RL_retries = 0;
#ifndef EGCS_WORKAROUND
_0RL_again:
#else
while(1) {
#endif
  assertObjectExistent();
  omniRopeAndKey _0RL_r;
  CORBA::Boolean _0RL_fwd = getRopeAndKey(_0RL_r);
  CORBA::Boolean _0RL_reuse = 0;
  CORBA::Object_ptr _0RL_result = 0;
  try {
    GIOP_C _0RL_c(_0RL_r.rope());
    _0RL_reuse = _0RL_c.isReUsingExistingConnection();
    CORBA::ULong _0RL_msgsize = GIOP_C::RequestHeaderSize(_0RL_r.keysize(),16);
    _0RL_c.InitialiseRequest(_0RL_r.key(),_0RL_r.keysize(),(char *)"_get_homeObject",16,_0RL_msgsize,0);
    switch (_0RL_c.ReceiveReply())
    {
      case GIOP::NO_EXCEPTION:
      {
        _0RL_result = CORBA::Object::unmarshalObjRef(_0RL_c);
        _0RL_c.RequestCompleted();
        return _0RL_result;
      }
      case GIOP::USER_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw CORBA::UNKNOWN(0,CORBA::COMPLETED_MAYBE);
      }
      case GIOP::SYSTEM_EXCEPTION:
      {
        _0RL_c.RequestCompleted(1);
        throw omniORB::fatalException(__FILE__,__LINE__,"GIOP::SYSTEM_EXCEPTION should not be returned by GIOP_C::ReceiveReply()");
      }
      case GIOP::LOCATION_FORWARD:
      {
        {
          CORBA::Object_var obj = CORBA::Object::unmarshalObjRef(_0RL_c);
          _0RL_c.RequestCompleted();
          if (CORBA::is_nil(obj)) {
            if (omniORB::traceLevel > 10) {
              omniORB::log << "Received GIOP::LOCATION_FORWARD message that contains a nil object reference.\n";
              omniORB::log.flush();
            }
            throw CORBA::COMM_FAILURE(0,CORBA::COMPLETED_NO);
          }
          omniRopeAndKey _0RL__r;
          obj->PR_getobj()->getRopeAndKey(_0RL__r);
          setRopeAndKey(_0RL__r);
        }
        if (omniORB::traceLevel > 10) {
          omniORB::log << "GIOP::LOCATION_FORWARD: retry request.\n";
          omniORB::log.flush();
        }
        break;
      }
    }
  }
  catch (const CORBA::COMM_FAILURE& ex) {
    if (_0RL_result) CORBA::release(_0RL_result);
    if (_0RL_reuse || _0RL_fwd) {
      if (_0RL_fwd)
        resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callCommFailureExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::TRANSIENT& ex) {
    if (_0RL_result) CORBA::release(_0RL_result);
    if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (const CORBA::OBJECT_NOT_EXIST& ex) {
    if (_0RL_result) CORBA::release(_0RL_result);
    if (_0RL_fwd) {
      resetRopeAndKey();
      CORBA::TRANSIENT _0RL_ex2(ex.minor(),ex.completed());
      if (!_omni_callTransientExceptionHandler(this,_0RL_retries++,_0RL_ex2))
        throw _0RL_ex2;
    }
    else {
      if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
        throw;
    }
  }
  catch (const CORBA::SystemException& ex) {
    if (_0RL_result) CORBA::release(_0RL_result);
    if (!_omni_callSystemExceptionHandler(this,_0RL_retries++,ex))
      throw;
  }
  catch (...) {
    if (_0RL_result) CORBA::release(_0RL_result);
    throw;
  }
#ifndef EGCS_WORKAROUND
  goto _0RL_again;
#else
}
#endif
#ifdef NEED_DUMMY_RETURN
  {
    // never reach here! Dummy return to keep some compilers happy.
    CORBA::Object_ptr _0RL_result = 0;
    return _0RL_result;
  }
#endif
}


CORBA::Boolean
_sk_omniLifeCycleInfo::dispatch(GIOP_S &_0RL_s,const char *_0RL_op,CORBA::Boolean _0RL_response_expected)
{
  if (strcmp(_0RL_op,"reportMove") == 0)
  {
    CORBA::Object_var obj;
    obj = CORBA::Object::unmarshalObjRef(_0RL_s);
    _0RL_s.RequestReceived();
        reportMove ( obj );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"reportRemove") == 0)
  {
    _0RL_s.RequestReceived();
        reportRemove (  );
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else if (strcmp(_0RL_op,"_get_homeObject") == 0)
  {
    if (!_0RL_response_expected) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }
    _0RL_s.RequestReceived();
    CORBA::Object_var _0RL_result = homeObject();
    size_t _0RL_msgsize = (size_t) GIOP_S::ReplyHeaderSize();
    _0RL_msgsize = CORBA::Object::NP_alignedSize((_0RL_result.operator->()),_0RL_msgsize);
    _0RL_s.InitialiseReply(GIOP::NO_EXCEPTION,(CORBA::ULong)_0RL_msgsize);
    CORBA::Object::marshalObjRef((_0RL_result.operator->()),_0RL_s);
    _0RL_s.ReplyCompleted();
    return 1;
  }
  else {
    return 0;
  }
}

_sk_omniLifeCycleInfo::_sk_omniLifeCycleInfo (const omniORB::objectKey& k)
{
  omniRopeAndKey l(0,(CORBA::Octet*)&k,(CORBA::ULong)sizeof(k));
  setRopeAndKey(l,0);
}

omniORB::objectKey
_sk_omniLifeCycleInfo::_key()
{
  omniRopeAndKey l;
  getRopeAndKey(l);
  return (*((omniORB::objectKey*)l.key()));
}

omniLifeCycleInfo_ptr
omniLifeCycleInfo::_duplicate(omniLifeCycleInfo_ptr obj)
{
  if (CORBA::is_nil(obj))
    return omniLifeCycleInfo::_nil();
  CORBA::Object::_duplicate(obj);
  return obj;
}

omniLifeCycleInfo_ptr
omniLifeCycleInfo::_narrow(CORBA::Object_ptr obj)
{
  if (CORBA::is_nil(obj))
    return omniLifeCycleInfo::_nil();
  omniLifeCycleInfo_ptr e = (omniLifeCycleInfo_ptr) (obj->PR_getobj()->_realNarrow(omniLifeCycleInfo_IntfRepoID));
  if (e)
    return e;
  else
    return omniLifeCycleInfo::_nil();
}

void *
omniLifeCycleInfo::_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id)
{
  if (is_cxx_type_id) return 0;
  if (!repoId)
    return (void *)((CORBA::Object_ptr)this);
  if (strcmp(omniLifeCycleInfo_IntfRepoID,repoId) == 0)
    return (void *)this;
  else {
    return 0;
  }
}

CORBA::Boolean
omniLifeCycleInfo::_0RL_is_a(const char *base_repoId) {
  if (strcmp(base_repoId,(const char *)omniLifeCycleInfo_IntfRepoID)==0)
    return 1;
  else
    return 0;
}

omniLifeCycleInfo_ptr
omniLifeCycleInfo_Helper::_nil() {
  return omniLifeCycleInfo::_nil();
}

CORBA::Boolean
omniLifeCycleInfo_Helper::is_nil(omniLifeCycleInfo_ptr p) {
  return CORBA::is_nil(p);
}

void
omniLifeCycleInfo_Helper::release(omniLifeCycleInfo_ptr p) {
  CORBA::release(p);
}

void
omniLifeCycleInfo_Helper::duplicate(omniLifeCycleInfo_ptr p) {
  CORBA::Object::_duplicate(p);
}

size_t
omniLifeCycleInfo_Helper::NP_alignedSize(omniLifeCycleInfo_ptr obj,size_t initialoffset) {
  return omniLifeCycleInfo::NP_alignedSize(obj,initialoffset);
}

void
omniLifeCycleInfo_Helper::marshalObjRef(omniLifeCycleInfo_ptr obj,NetBufferedStream &s) {
  omniLifeCycleInfo::marshalObjRef(obj,s);
}

omniLifeCycleInfo_ptr omniLifeCycleInfo_Helper::unmarshalObjRef(NetBufferedStream &s) {
  return omniLifeCycleInfo::unmarshalObjRef(s);
}

void
omniLifeCycleInfo_Helper::marshalObjRef(omniLifeCycleInfo_ptr obj,MemBufferedStream &s) {
  omniLifeCycleInfo::marshalObjRef(obj,s);
}

omniLifeCycleInfo_ptr omniLifeCycleInfo_Helper::unmarshalObjRef(MemBufferedStream &s) {
  return omniLifeCycleInfo::unmarshalObjRef(s);
}

const char *
omniLifeCycleInfo_proxyObjectFactory::irRepoId() const
{
  return (const char *)omniLifeCycleInfo_IntfRepoID;
}

CORBA::Object_ptr
omniLifeCycleInfo_proxyObjectFactory::newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release)
{
  _proxy_omniLifeCycleInfo *p = new _proxy_omniLifeCycleInfo(r,key,keysize,profiles,release);
  if (!p) {
    throw CORBA::NO_MEMORY(0,CORBA::COMPLETED_NO);
  }
  return (CORBA::Object_ptr) p;
}

CORBA::Boolean
omniLifeCycleInfo_proxyObjectFactory::is_a(const char *base_repoId) const
{
  return omniLifeCycleInfo::_0RL_is_a(base_repoId);

}

omniLifeCycleInfo_ptr
omniLifeCycleInfo::_nil() {
  return omniLifeCycleInfo_proxyObjectFactory::_nil();
}

static const omniLifeCycleInfo_proxyObjectFactory omniLifeCycleInfo_proxyObjectFactory;
omniLifeCycleInfo_ptr omniLifeCycleInfo_proxyObjectFactory::__nil_omniLifeCycleInfo = 0;

#ifndef __01RL__tc_omniLifeCycleInfo__
#define __01RL__tc_omniLifeCycleInfo__
static CORBA::TypeCode _01RL__tc_omniLifeCycleInfo("IDL:omniLifeCycleInfo:1.0", "omniLifeCycleInfo");

#endif

const CORBA::TypeCode_ptr _tc_omniLifeCycleInfo = & _01RL__tc_omniLifeCycleInfo;

void operator<<=(CORBA::Any& _a, omniLifeCycleInfo_ptr _s) {
  MemBufferedStream _0RL_mbuf;
  _tc_omniLifeCycleInfo->NP_fillInit(_0RL_mbuf);
  omniLifeCycleInfo::marshalObjRef(_s,_0RL_mbuf);
  _a.NP_replaceData(_tc_omniLifeCycleInfo,_0RL_mbuf);
}

void operator<<=(CORBA::Any& _a, omniLifeCycleInfo_ptr* _sp) {
  _a <<= *_sp;
  CORBA::release(*_sp);
}

CORBA::Boolean operator>>=(const CORBA::Any& _a, omniLifeCycleInfo_ptr& _s) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(_tc_omniLifeCycleInfo,1)) {
    return 0;
  }
  else {
    MemBufferedStream _0RL_tmp_mbuf;
    _a.NP_getBuffer(_0RL_tmp_mbuf);
    _s = omniLifeCycleInfo::unmarshalObjRef(_0RL_tmp_mbuf);
    return 1;
  }
}

