# $Id: dir.mk,v 1.3 1999/05/04 19:20:18 mencnar Exp $
#
# $Source: /home/iris/mencnar/ec/CVS/src/cc/dir.mk,v $
#
# $Log: dir.mk,v $
# Revision 1.3  1999/05/04 19:20:18  mencnar
# Added "install" target.
#
# Revision 1.2  1999/02/24 12:02:15  mencnar
# Solaris port
#
#

INTERFACES = orb Naming CosEventComm CosEventChannelAdmin \
 CosTypedEventComm CosTypedEventChannelAdmin echelp ifr ecadmin ecmcast \
 TestIntf


CXXSRCS = ec.cc timestamp.cc ecmain.cc \
	admin.cc master_forwarder.cc \
	OORB_DII.cc OORB_DSI.cc \
	ORBX_DII.cc ORBX_DSI.cc \
	IRread.cc \
	dii.cc dsi.cc \
	pushsupp.cc pushcons.cc pullsupp.cc pullcons.cc \
	slave_daemon.cc \
	factory_cl.cc mtime.cc

CXXINCLUDES = -I$(SRC_DIR)/../hh

xtst = $(patsubst %,$(BinPattern),xtst)

ecf = $(patsubst %,$(BinPattern),ecf)

ecd = $(patsubst %,$(BinPattern),ecd)

ecfactorycl= $(patsubst %,$(BinPattern),ecfactorycl)

dsi = $(patsubst %,$(BinPattern),dsi)

dii = $(patsubst %,$(BinPattern),dii)

pushsupp= $(patsubst %,$(BinPattern),pushsupp)

pullsupp= $(patsubst %,$(BinPattern),pullsupp)

pushcons= $(patsubst %,$(BinPattern),pushcons)

pullcons= $(patsubst %,$(BinPattern),pullcons)


execs= $(ecf) $(ecd) \
	$(ecfactorycl) \
	$(pushsupp) $(pushcons) $(pullsupp) $(pullcons)

all::	$(execs)

clean::
	$(RM) -rf $(execs) *.o Templates.DB


$(ecf):	$(STUB_OBJS) ec.o timestamp.o ecmain.o \
	admin.o master_forwarder.o \
	OORB_DII.o OORB_DSI.o ORBX_DII.o ORBX_DSI.o IRread.o mtime.o
	@(libs="bootstrap mtp"; $(CXXExecutable))

$(ecd): $(STUB_OBJS) slave_daemon.o \
	timestamp.o OORB_DII.o OORB_DSI.o ORBX_DII.o ORBX_DSI.o IRread.o mtime.o
	@(libs="bootstrap mtp"; $(CXXExecutable))

$(ecfactorycl):	$(STUB_OBJS) factory_cl.o
	@(libs="bootstrap mtp"; $(CXXExecutable))

$(dsi):	$(STUB_OBJS) dsi.o \
	OORB_DII.o OORB_DSI.o ORBX_DSI.o IRread.o
	@(libs="bootstrap"; $(CXXExecutable))

$(dii):	$(STUB_OBJS) dii.o \
	OORB_DII.o OORB_DII.o ORBX_DII.o IRread.o
	@(libs="bootstrap";  $(CXXExecutable))

$(pushsupp):	$(STUB_OBJS) pushsupp.o mtime.o
	@(libs="bootstrap";  $(CXXExecutable))

$(pullsupp):	$(STUB_OBJS) pullsupp.o
	@(libs="bootstrap";  $(CXXExecutable))

$(pushcons):	$(STUB_OBJS) pushcons.o mtime.o
	@(libs="bootstrap";  $(CXXExecutable))

$(pullcons):	$(STUB_OBJS) pullcons.o
	@(libs="bootstrap";  $(CXXExecutable))

$(xtst):    $(STUB_OBJS) Test.o
        @(libs="bootstrap";  $(CXXExecutable))

install:: $(execs)
	 for i in $(execs); do \
		file=$$i; dir=$(BIN_DIR); $(InstallExec) \
	 done;

-include $(CXXSRCS:.cc=.d)

