// $Id: xstring.hh,v 1.2 1999/05/21 16:37:40 mencnar Exp $
//
// $Source: /home/iris/mencnar/ec/CVS/src/cc/xstring.hh,v $
//
// $Log: xstring.hh,v $
// Revision 1.2  1999/05/21 16:37:40  mencnar
// *** empty log message ***
//
// Revision 1.1  1999/02/24 13:02:01  mencnar
// *** empty log message ***
//
//

// Introduced to circumvent a bug in MSVC++ implementation of STL string
//

#ifndef __XSTRING_HH__
#define __XSTRING_HH__

#include <string.h>

class xstring {
  char *str;
public:
  xstring() : str(0) {}
  xstring( const char *s) : str(strdup(s)) {}
  xstring( const xstring &s) : str(strdup(s.str)) {}
  xstring& operator =( const xstring &s) {
    if (&s != this) {
      if (str) free(str);
      str= strdup(s.str);
    }
    return *this;
  }
  int operator ==( const xstring &s) const {
    return !strcmp(str,s.str);
  }
  int operator <( const xstring &s) const {
    return (strcmp(str,s.str)<0);
  }
  const char *c_str() const { 
    return str;
  }
};

#endif // __XSTRING_HH__

//
