#include "mtp.hh"
#include "mtpsource.hh"
#include "mtpwebd.hh"
#include <iostream.h>
#include <string.h>
#include <stdio.h>
#ifndef __WIN32__
#include <unistd.h>
#endif

#include <trace.hh>
#include <stream_trace.hh>

int main( int argc, char **argv) {
  StreamTrace strace( cerr);
  trace.set_abstract_trace( &strace);
  trace.set_trace_level( 100000);

  PacketMgrFactory::init( argc, argv);
  PacketMgr *pm= packetmgrfactory.assign_channel();
  init_mtp_deamon( *pm);
  MTPSource src( *pm);
  src.run();
  cerr << "<<sleep" << endl;
#ifdef __WIN32__
  Sleep(1);
#else
  sleep(1);
#endif
  cerr << ">>sleep" << endl;

  char buf[8192];
  while (fgets(buf,sizeof(buf),stdin)) {
    cerr << "Sending data" << endl;
    src.start_message();
    src.message_data( buf, 8192);
    src.end_message();
    cerr << "done" << endl;
  }
  for (;;) cin >> buf;
  cerr << "Flushed" << endl;
}





